Welcome to DB Comparer for Interbase/Firebird!

DB Comparer for Interbase/Firebird is an excellent tool for comparing Interbase/Firebird databases and discovering differences in their structures. You can view all the differences in compared database objects and execute an automatically generated script to eliminate all or selected differences. A simple and intuitively comprehensive GUI allows you to work with several projects simultaneously, define comparison parameters, and alter modification scripts. Many other features are implemented to make your work with our database comparison tool easy and fast.

Visit our web-site for details: https://www.sqlmanager.net

Key features

  • Comparing and synchronization of databases or schemas on different servers as well as on a single server
  • Comparing all database objects or selected ones only. Comparing by all or by selected properties of objects only
  • Visual representation of differences between databases with details and modification scripts for the different objects
  • Ability to synchronize databases manually step by step or automatically
  • Ability to generate reports with database differences. Possibility to add custom reports
  • Ability to automate the database comparison and synchronization using the console application
  • Working with several compare projects at once
  • Saving and loading projects with all their parameters
  • A wide variety of options for comparison and synchronization
  • Built-in SQL Script editor with syntax highlight
  • Easy-to-use user interface with dark schema support
  • Latest Interbase/Firebird versions support

and more...

Product information

Homepage | https://www.sqlmanager.net/products/ibfb/dbcomparer
Support Ticket System | https://www.sqlmanager.net/support
Register online at | https://www.sqlmanager.net/products/ibfb/dbcomparer/buy


What's new

Version | Release date
DB Comparer for Interbase/Firebird 5.2 | February 12, 2025

What's new in DB Comparer?

  • Check for program updates added.

    whats new - check for updates

  • All objects are now shown after re-compare, not only modified ones.
  • The position of the main program window is restored on restart now.
  • The error occurred on switching some keyboard layouts. Fixed now.
  • The objects with TAB and line breaks are processed correctly now.
  • Other minor improvements and fixes.

See also:

Version history


System requirements

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Server 2019, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Microsoft Windows 11 ARM
  • 512 MB of RAM or more
  • 50 MB of available HD space for program installation
  • Interbase/Firebird client library (its bit depth must be the same as the program's)
  • Possibility to connect to any local or remote Interbase/Firebirdserver
  • Supported InterBase and Firebird server versions: InterBase - up to 2020; Firebird - up to 5.0


Installation

If you are installing DB Comparer for Interbase/Firebird for the first time on your PC:

  • download the DB Comparer for Interbase/Firebird distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run IbComparerSetup.exe from the local directory and follow the instructions of the installation wizard;
  • after the installation process is completed, find the DB Comparer shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of DB Comparer for Interbase/Firebird to the latest version:

  • download the DB Comparer for Interbase/Firebird distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close DB Comparer application if it is running;
  • run IbComparerSetup.exe from the local directory and follow the instructions of the installation wizard.

See also:

System requirements


Registration

All purchases are provided by PayPro Global registration service. The PayPro Global order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

PayPro Global is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer.

If you want to review your order information, or you have questions about ordering or payments please visit our PayPro Global Shopper Support, provided by PayPro Global.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys. Also you will receive a copy of registration keys by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product distribution | PayPro Global
EMS DB Comparer for Interbase/Firebird (Business license) + 1-Year Maintenance* | Register Now!
EMS DB Comparer for Interbase/Firebird (Business license) + 2-Year Maintenance*
EMS DB Comparer for Interbase/Firebird (Business license) + 3-Year Maintenance*
EMS DB Comparer for Interbase/Firebird (Non-commercial license) + 1-Year Maintenance*
EMS DB Comparer for Interbase/Firebird (Non-commercial license) + 2-Year Maintenance*
EMS DB Comparer for Interbase/Firebird (Non-commercial license) + 3-Year Maintenance*
EMS DB Comparer for Interbase/Firebird (Trial version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register DB Comparer


How to register DB Comparer

If you have not registered your copy of DB Comparer for Interbase/Firebird yet, you can do it by selecting the Help | Register DB Comparer for Interbase/Firebird main menu item or by selecting the Help | About main menu item and pressing the Register Now button to call the Register DB Comparer for Interbase/Firebird dialog.

Welcome to DB Comparer - About

To register your newly purchased copy of EMS DB Comparer for Interbase/Firebird, perform the following steps:

  • receive the notification letter from PayPro Global with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About DB Comparer for Interbase/Firebird dialog (use the Help | About main menu item to open this dialog).

Welcome to DB Comparer - Register

See also:

Registration


Version history

Product name | Version | Release date
DB Comparer for Interbase/Firebird | Version 5.1 | July 10, 2024
DB Comparer for Interbase/Firebird | Version 5.0.2 | September 06, 2023
DB Comparer for Interbase/Firebird | Version 5.0.1 | December 16, 2022
DB Comparer for Interbase/Firebird | Version 5.0 | February 8, 2022
DB Comparer for Interbase/Firebird | Version 4.2.3 | June 7,2021
DB Comparer for Interbase/Firebird | Version 4.2.2 | June 13,2019
DB Comparer for Interbase/Firebird | Version 4.2.1 | October 17, 2018
DB Comparer for Interbase/Firebird | Version 4.2 | October 23, 2017
DB Comparer for Interbase/Firebird | Version 4.1.1 | September 27, 2016
DB Comparer for Interbase/Firebird | Version 4.1 | July 28, 2015
DB Comparer for Interbase/Firebird | Version 4.0 | August 26, 2014
DB Comparer for Interbase/Firebird | Version 3.3.0.1 | October 7, 2009
DB Comparer 2007 for Interbase/Firebird | Version 3.1.0.1 | April 10, 2008
DB Comparer 2007 for Interbase/Firebird | Version 3.0.0.1 | September 17, 2007
DB Comparer 2005 for Interbase/Firebird | Version 2.2.0.1 | August 28, 2006
DB Comparer 2005 for Interbase/Firebird | Version 2.1.0.1 | April 17, 2006
DB Comparer 2005 for Interbase/Firebird | Version 2.0.0.1 | March 9, 2006
Interbase/Firebird DB Comparer | Version 1.3.0.1 | March 8, 2005
Interbase/Firebird DB Comparer | Version 1.2.0.1 | February 11, 2004
Interbase/Firebird DB Comparer | Version 1.1.0.1 | November 10, 2003
Interbase/Firebird DB Comparer | Version 1.0.0.1 | May 14, 2003

Version 5.1

  • Released 64-bit version of the application.
  • Some databases were not displayed in Studio versions of the application. Fixed now.
  • Object filter has been improved.
  • The copy of the previously created script is saved in the command line version.
  • The error on manual cancelling of comparison fixed.
  • The 22 port value is now set by default for SSH connection.

Version 5.0.2

  • Comparison of renamed objected added to the console version.
  • Filter for compared objects improved.
  • Batch or PowerShell file type can be now selected on saving the template.
  • The issues of scaling the application window resolved.
  • SSH passphrase prompt was missed in some cases. Fixed now.

Version 5.0.1

  • Support for Windows 11 ARM implemented.
  • Fixes in generating script for table privileges.
  • Privileges for exceptions and generators are compared now.
  • Some improvements in dark schema interface.
  • Fixes for report printing.
  • "Load last password for new projects" option was not saved in some cases. Fixed now.
  • Minor improvements and fixes.

Version 5.0

  • Support for dark visual scheme added.

whats new - dark schema IB

  • Added support for SSL connections.
  • Work with objects filter considerably improved.
  • Support for Unicode database names added.
  • Excluded objects are saved to the template correctly now.
  • Support of Ed25519 keys implemented for SSH connection.
  • Many other fixes and improvements.

Version 4.2.3

  • SSH settings are now saved correctly to a template file.
  • Reports button added to the toolbar.
  • The "Always exclude the following options" setting was not saved correctly. Fixed now.
  • The "Add comments to generated script" option is now applied from program settings.
  • Other minor fixes and improvements.

Version 4.2.2

  • Support of connection to Firebird 4.
  • OUT parameters in procedures are displayed correcty now.
  • Language folders were not set to default on settings reset. Fixed now.
  • Error window in SQL script editor keeps custom size now.
  • Object Definition windows can be hidden\opened from the main menu now.
  • Other minor fixes and improvements.

Version 4.2.1

  • The buttons for easy moving between differences in DDL have been added.
  • Fix of synchronizing return values for UDFs.
  • Editor font was not applied correctly. Fixed now.
  • Comments are now compared and synchronized as Unicode strings.
  • Language settings were not restored on settings reset. Fixed now.
  • Minor improvements in program interface.
  • Other minor fixes.

Version 4.2

  • Support for new Firebird 3.0 objects has been added.
  • 'Show objects list' option didn't work properly sometimes. Fixed now.
  • Subobjects were not ignored on disabling the object in the database tree. Fixed now.
  • Minor fixes in SQL Script Editor.
  • Other minor improvements and bugfixes.

Version 4.1.1

  • Identical grants were detected as different. Fixed now.
  • Field order was erroneously detected as different in some cases. Fixed now.
  • The long prefix for temporary table field names has been shortened to avoid error on script execution.
  • Now the cursor is focused at the end of the line in SQL Editor.
  • Other minor improvements and bug-fixes.

Version 4.1

  • Dependencies processing mechanism enhanced.
  • In some cases the connection using SSH-tunneling could not be established. Fixed now.
  • The comments of objects were synchronized incorrectly. Fixed now.
  • The comparison of views fields is now improved.
  • Added the detection of renamed Constraints.
  • Lots of other improvements and bug-fixes.

Version 4.0

  • Significantly improved algorithm of object comparison and script generation.
  • Now it is possible to search and analyze renamed objects. The application analyzes databases and creates a list of objects that might have been renamed.
  • Added wizard for project work.
  • Advanced list of compared object properties allows to make database analysis more complete.
  • Significantly improved work with object dependencies.
  • Added support of new features of Microsoft Windows 7, Microsoft Windows 8/8.1: progress indicator at task pane and project jump list.
  • Data types processing improved.
  • Correct checks comparison with names generated by a server.
  • Objects comments comparison added.
  • Procedures, views and triggers bodies comparison improved.
  • Fields, domains and functions parameters comparison is improved considering field charset and default database charset.
  • Expression indices comparison added.
  • 'Autoincrement' field property comparison added.
  • Cyclic objects dependencies processing added.
  • Other improvements and bug-fixes.

Version 3.2

  • Database comparison speed is considerably increased.
  • Other minor improvements and bug-fixes.

Version 3.1

  • When comparing a Firebird 2.0 database with the one on the Firebird 2.1, identical views used to be marked as different. Fixed now
  • The modifying script used to be generated twice for domains with different size of type. Fixed now
  • When comparing databases on Chinese Windows localization, the "Error: RichEdit line insertion error" message used to appear. Fixed now
  • Other minor improvements and bug-fixes

Version 3.0

  • Comparing and synchronization of databases or schemas on different servers as well as on a single server
  • Comparing all database objects or selected ones only. Comparing by all or selected properties of objects only
  • Visual representation of the differences between databases with details and modification scripts for the different objects
  • Ability to synchronize databases manually step by step or automatically
  • Ability to generate reports with database differences. Ability to add custom reports
  • Ability to automate the database comparison and synchronization using the Console Application
  • Working with several compare projects simultaneously
  • Saving and loading projects with all their parameters
  • A wide variety of options for comparison and synchronization
  • Built-in SQL Script editor with syntax highlight
  • New state-of-the-art graphical user interface
  • Latest Interbase/Firebird version support

Scroll to top

Version 2.2

  • Added the ability to filter analyzed objects using regular expressions. This allows one to analyze only required objects, and increases the speed of comparing and analyzing processes
  • Added the opportunity to connect via SSH tunnel
  • Visual representation of definition differences implemented
  • The 'Hide identical objects' option added. This option allows one to hide identical objects in the DB Tree
  • Large databases are now compared faster
  • Ability to refresh different types of objects separately implemented. This may be helpful when you synchronize databases in the step-by-step style
  • Toolbar with list of working windows is added to the main program window
  • The 'Synchronize databases after comparing in console mode' option added. This project option allows you to run the console application in synchronization mode by default (without defining the /E option)
  • The 'Fill Table View on load' option added. This option can be used to increase the speed of comparing process and decrease memory usage
  • The ability to set the default directories for grid exports and reports storage added
  • No more delays occur while navigating DB Tree with large databases
  • Fixed the saving passwords error
  • Procedures were not compared correctly in some cases. Fixed now
  • Functions were not compared correctly in some cases. Fixed now
  • Sometimes an error occurred while refreshing databases. Fixed now
  • Altering procedures scripts were generated incorrectly. Fixed now
  • Fixed the error with comparing views

and other minor improvements and small bug-fixes.

Scroll to top

Version 2.1

  • Now the direction of synchronization can be saved in the project file (also can be used by the Console application)
  • Now it is possible to specify the client library
  • Export to Excel, Text, XML and HTML formats is now available from the Grid view
  • New, more detailed console application log is implemented
  • Now it is possible to select fields from the list when creating user reports
  • Hints for the objects in tree are now displayed correctly
  • When creating a new report, its pages used to be missing. Fixed now
  • When changing Compare Options for a project, the Access Violation error emerged. Fixed now

Scroll to top

Version 2.0

  • Completely re-designed top-of-the-art user interface
  • Ample opportunities for customizing your working environment
  • New way of browsing differences between compared databases
  • Easy viewing of all different properties of database objects
  • Ability to print a pre-defined differences report or create a new one
  • New advanced comparison options
  • Improved sync script generation
  • Multilanguage support
  • A lot of other improvements and bug fixes

and more...

Scroll to top

Version 1.3

  • Fixed a bug concerned with incomplete maximization of the main program window
  • Some minor visual improvements and bug-fixes.

Scroll to top

Version 1.2

  • Implemented the console version of the database comparison utility: now you can schedule your database structure synchronization routine using the database utility
  • Now DB Comparer does not try to create a primary key if the table already has one. The utility drops the existing primary key and creates another one
  • Using this version you can compare and synchronize primary keys regardless of key names.
  • Now you can use the tool to compare names of fields and field order in views. Check the 'Names of Fields' and the 'Order of Fields' options within the Compare Options section of the Environment Options dialog
  • Support of Firebird 1.5
  • Now you can view project properties without actually loading the project file - just open it while holding down the Shift key
  • We have implemented synchronous scrolling in the Master Definition and Target Definition windows
  • Now project files are associated with particular database comparison utilities
  • Some small improvements and bug fixes

Scroll to top

Version 1.1

  • Significantly increased the comparison speed for the databases with large amount of objects
  • Now the fields order is considered on comparing tables. You can enable or disable this feature by using the 'Field order' option available within the Compare Options tab of the 'Project Options' dialog
  • Now you can view the project options just before the project loading. Check the 'Show Project Options before Loading' option available within the Project Options section of the Environment Options dialog to enable this feature
  • Added two new options to the Project Options section of the Environment Options dialog - 'Enable Forward Navigation' and 'Enable Backward Navigation'. Using these options you can customize the navigation behavior. If the forward navigation is enabled, you can navigate between the generated SQL scripts by selecting the proper objects from object trees, and vice versa (if the backward navigation is enabled)
  • Now you can copy the Object definition to the clipboard
  • Some small improvements and bug-fixes

Scroll to top

Version 1.0

Basic features:

  • Comparing databases on one server as well as on different servers
  • Synchronous navigation between database objects with displaying the corresponding scripts for modifying databases
  • Possibility of execution modification statements one by one or all together
  • Possibility of editing modification statements and changing their order
  • Built-in SQL Script Editor with syntax highlight
  • An ability to work with several compare projects at once, as well as save and load projects with all their parameters
  • Customizable and easy-to-use MDI Interface
  • A wide variety of options for customization
  • Keyboard templates for faster editing SQL scripts

and more...

Scroll to top

See also:

What's new


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Managing projects

DB Comparer for Interbase/Firebird allows you to create, save and open saved projects. To start working with the program you need to create the project. You can modify options of an existing project any time your work with it.

Creating project

Opening / saving project

Compare Project wizard

See also:

Working with project

SQL Script editor

Reports management

DB Comparer options

Console application


Getting started

To start working with DB Comparer for Interbase/Firebird, you should either create a new project or open an existing one.

To create the new project select the Project | New Project main menu item or use the btnNewProject(Wizard) New Project button on the toolbar (Ctrl+N).

Then you need to set connection properties for source and target databases.

See also:

Opening / saving Project

Compare Project wizard

Viewing Summary Info


Opening / saving project

To open an existing DB Comparer project, select Project | Open Project... or use the btnOpenFile Open Project...button on the toolbar (Ctrl+O).

To save a DB Comparer project, select Project | Save Project (Save Project As...) or use the btnSave Save Project ( btnSaveAs Save Project As) button on the toolbar (Ctrl+S / Ctrl+Alt+S). In the Project Options select Save Project button to save the currently edited project.

If this is the first time that this project is being saved or if you select Save Project As..., you are to specify the path to the project file and provide a name for the project file within the Save project options dialog.

Console options

CheckBox Synchronize databases after comparing

With this option the generated script is executed right after comparing. With this option disabled, the synchronization script is saved without executing.

CheckBox Abort script executing on error

This option specifies whether the synchronization script must be aborted on the error.

Direction:

Select the database synchronization direction.

CheckBox Create script file

Enable to specify the path to create a command file for Command Line or PowerShell.

CheckBox Run in background mode

Enable to add the /B option and run the file in the background mode.

CheckBox Analyze renamed objects

Enable to add the /A option for comparison in the console application with the Analyze renamed objects option.

CheckBox Use localization

Enable it to add the /L option and output text in the console application on the same language as in the GUI.

Output file

Specify the directory to save the text file with SQL script.

Script type

Select Batch or PowerShell type of the file with the command.

Comment

Add custom text to describe the project. This info is saved to the template file in [#Comment#] section.

See also:

Creating Project

Compare Project Wizard

Viewing Summary Info


Compare Project wizard

After you have created or loaded the project, the Compare Project wizard starts.

When the comparison process is finished, the project will be loaded into the DB Comparer application automatically, and you will be able to start working with the project.

Wizard steps

Setting database options

Setting compare options

Select objects for compare

Renamed objects

See also:

Getting started

Opening / saving Project

Viewing Summary Info


Setting database options

Database connection properties for the source and target databases are set in the same way.

If both the source and target databases are located on the same server, you can check the CheckBox Both databases on the same server option and set all the properties (except for the database name) only once.

Managing Projects - New Project Wizard - Step 1

Connect options

Enter Interbase/Firebird host name in the Host field and specify the preferable Network protocol (TCP/IP, NetBEUI, Novel SPX, Local, Embedded). The Host drop-down list contains the list of already used hosts. Enter Interbase/Firebird port to connect through in the Port field.

Afterwards you should specify authorization settings: Login and Password.

The default superuser name is 'SYSDBA' and the default password is 'masterkey'.

If necessary, use the drop-down list to specify the preferable Client charset to be used by the application.

You also need to specify the Role (optionally), the path to the Client library and the path to the Database file (*.gdb for InterBase or *.fdb for Firebird) in the corresponding fields. For successful connection to the server it is crucial to use the appropriate client library - the one that is compatible with the server you are using: gds32.dll for InterBase and fbclient.dll for Firebird. Please note that the client library file must be located on your local machine (e.g. in the directory where the utility is installed). Bear in mind that the path to the database file should be set relatively to the Interbase/Firebird server file system.

Click the btnExplorer button of the Database file field to specify the location of the Interbase/Firebird database file using the standard Open file dialog.

Authentication type

Select the preferable type of server authentication to be used for the connection:

  • Normal (traditional IB/FB authentication with security database)
  • Win32 NTLM authentication (only FB 2.1 or above)
  • Mixed

Security DB

Authorized Interbase/Firebird users are stored in a security database. Each Interbase/Firebird server has its own security database, which means that a user definition is bound to the server where it is stored. The security database also stores an encrypted password for each user.

Type in or use the ExplorerButton button to specify the path to the security database. The drop-down list contains the previously specified security databases.

If you are using the EMS SQL Management Studio for Interbase/Firebird version of DB Comparer for Interbase/Firebird then the Select registered database button is available. Click this button to pick a database already registered in the EMS SQL Management Studio in the Select Host or Database dialog.

Tunneling

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of Interbase/Firebird server)
  • SSH password is the Linux/Windows user password

Note: When the SSH tunneling is set the '*' symbol appears on the tab header.

Managing Projects - Setting DB options - Tunneling

CheckBox Use Private Key for authentication

Check this option to enable Private Keys usage for the connection.

For details see SSH tunneling options.

SSL

Client certificate

Set the full path to the SSL certificate on the client machine.

Managing Projects - Setting DB options - SSL Ib

Passphrase file

Set the full path to the file containing the key passphrase.

Passphrase

Input passphrase password.

CA file

Specify the name of the certificate authority file.

CA path

Set the path for the location of the certificate authority file.

When done, press the Next button to set compare options.

Next step >

See also:

Setting database options

Setting compare options


Selecting registered database

Use this dialog to select a database for comparison. This dialog is available only in EMS SQL Management Studio version of DB Comparer for Interbase/Firebird.

Selecting registered database

All databases registered in EMS SQL Management Studio for Interbase/Firebird are displayed in the list.

Select the necessary database and click the OK button.

Database registration information will be filled on the first step automatically.


Setting compare options

DB Comparer for Interbase/Firebird
  • Index
  • « Prev
  • Next »

Set comparison options for the project.

Managing Projects - New Project Wizard - Step 3

CheckBox Case sensitive comparing

Enable this option to make the comparing process case sensitive.

Note that you can use a Case sensitive filter as well, just turn on the corresponding option.

CheckBox Analyze renamed objects

This option enables/disables comparing tables and fields which might have been renamed.

CheckBox Show objects list

If this option is checked the list of all objects is displayed on the next step. If there is no need to check the list of retrieved objects you can uncheck this option to speed up comparison process.

CheckBox Add comments to generated script

Use this option to toggle comments in modification script.

Select object type in the Database object tree, set a flag to include the object type into the comparison process.

The Select All and Unselect All buttons in the popup menu are implemented to make option selection easier.

Compare Options

Define which properties are compared for the selected object type.

Filter Options

For your convenience the filter of object names is added. By default, filter by mask is used. A valid mask consists of literal characters, sets, and wildcards. Each literal character must match a single character in the string. The comparison to literal characters is case-insensitive. Each set begins with an opening bracket ([) and ends with a closing bracket (]). You can use standard wildcards such as asterix (*) or percent sign (%) which are the same, or the question mark (?).

Managing Projects - Filter Options

To apply filter using regular expression, check the CheckBox Regular expression option.

Enable CheckBox Case sensitive option to make the regular expression filter case sensitive.

Always exclude following objects

Enter the objects (one on the line) that you do not want to be compared.

To delete filter condition you may use the Clear Filter button of the Database objects popup menu.

< Previous step

See also:

Setting database options

Setting compare options


Select objects for comparison

You can review objects for both databases at this step.

Project Wizard - Select objects for comparison

The objects that exist in both databases are displayed in the On Source and Target window.

The objects that exist in either source or target database are displayed in On Source Only and On Target Only window correspondingly.

You need to check the objects to be synchronized.

< Previous step

Next step >

See also:

Setting database options

Setting compare options

Select objects for compare

Renamed objects


Renamed objects

At this step you can see the list of objects which might have been renamed. This list includes similar objects with different names in source and target databases.

Project Wizard - Renamed Objects

The script for the selected objects is displayed in the bottom part of the window.

Click the Compare button to start the database comparison process.

After the comparison has finished, the project is loaded in DB Comparer automatically and you can start working with it.

<Previous step

See also:

Setting database options

Setting compare options

Select objects for compare

Renamed objects


Viewing Summary Info

After you have created/opened a project, the selected databases are analyzed for differences. The Progress window displays the total progress of the comparison process and the sequence of operations performed by the utility appears.

Working with Project - Analyzing

Note: The comparing process cannot be stopped if renamed objects were found.

If the CheckBox Show summary after comparing option is selected in the Confirmations section of the Environment Options dialog, the Summary Info window appears upon completion of the comparing process. This window contains information concerning the differences between the compared databases.

Working with Project - Summary Info

To disable this window for the future projects, check the CheckBox Do not show summary option.

See also:

Creating Project

Opening / Saving Project

Compare Project Wizard


Working with project

Having created or opened a project, you see the Project window.

By default, the Project window contains the Database Tree, Source and Target Object Definitions, Modification Scripts and Information windows.

Working with Project

When working with your project, you are provided with a powerful project toolbar which is available at the top of the project window.

btnProjectOptions Open project in Project Wizard.

btnRefresh Perform a full recompare

View

  • Show/hide Identical node in the Database Tree
  • Choose the way objects should be grouped
  • Show/hide All objects node in the Database Tree

Reports

The same reports are available on the Reports pane on the right side.

  • View Summary Info Report
  • View Summary Info with Chart Report
  • View Detailed Report

Open selected scripts in SQL Script Editor

Open all scripts in SQL Script Editor

btnExecuteScript Execute selected scripts

btnShowSQLScript Execute all scripts

btnMoveScriptFirst btnMoveScriptDown btnMoveScriptUp btnMoveScriptLast - change script order

Layout

Use this drop-down list to specify a name for current positional layout of the windows. If necessary, you can click the btnSave Save Layout toolbar button to save the layout for future use, or the btnCross Remove Layout toolbar button if you do not need the current layout any longer.

See also:

Managing projects

SQL Script editor

Reports management

DB Comparer options

Console application


Browsing database tree

The Database Tree contains the objects of both databases and is situated on the left (by default). It displays objects of both (source and target) databases side by side.

Database Tree consists of four major groups:

iconDifferent Different (objects are to be modified to become identical with the same objects in the source/target databases)

iconOnlyMaster Only Source (objects that exist in the source database, but do not exist in the target database)

iconOnlyTarget Only target (objects that exist in the target database, but do not exist in the source database)

iconIdentical Identical (objects in the source database coincide with the ones in the target database)

Numbers in brackets next to the captions of the group nodes denote the amount of objects inside each group.

The objects which are identical in both databases are displayed in black (by default). You can customize all the colors using the Colors section of the Environment Options dialog.

If Forward Navigation is enabled within the Project Options section of the Environment Options dialog, upon selecting an element in the Database Tree the corresponding entry will be selected in the Modification scripts window.

Note: You can expand and collapse lists of objects quickly using the context menu. Moreover, the context menu of the DB Tree allows you to open the appropriate modification scripts in SQL Script Editor.

Working with Project - DB Tree

To refresh the Database Tree, use the corresponding btnRefresh Refresh button on the toolbar or press Ctrl+F5. To refresh a selected group of objects only, right-click the node and select the corresponding context menu item (e.g. Refresh tables if you want to refresh the Tables group).

The context menu of the DB Tree allows you to:

  • open all scripts in SQL Script Editor;
  • refresh all objects of the type (depending on the current selection in DB Tree);
  • open a simple printing report of the tree;
  • expand/collapse the selected node in the tree;
  • enable Forward Navigation for the project.

Getting started - DB Tree context menu

See also:

Viewing Summary Info

Viewing Objects Definition

Information window

Working with Modification Scripts

Switching windows


Viewing objects definition

The Source Object Definition and the Target Object Definition windows contain the DDL structure (Data Definition Language) of the source and target database objects. This area is read-only, hence you cannot modify object definitions using Object Definition windows.

For your convenience visual representation of definition differences is implemented: you can see the corresponding DDL differences highlighted in both Object Definition windows. If necessary, you can customize the colors using the Colors section of the Environment Options dialog.

Working with Project - Master and Target Object Definition

Note: You can show/hide these windows using the View | Source Object Definition and the View | Target Object Definition main menu items.

Use the arrow buttons to quickly get to the Next\Previous or First\Last difference.

Popup menu

Getting started - Definition area context menu

Use Synchronization to synchronize scrolling of the contents in both windows (i.e. when you scroll through one DDL text, the other scroll bar moves synchronously).

Use Copy Object Definition to copy the DDL displayed within the area to Windows clipboard.

See also:

Viewing Summary Info

Browsing Database Tree

Information window

Working with Modification Scripts

Switching windows


Information window

The Information window displays detailed information on the database objects being compared.

Working with Project - Information window - total

Depending on the current selection in DB Tree, the Information window either lists the total count of different objects in the source and the target database (if a group of objects is selected in DB Tree) or contains the complete list of properties of the source object as compared to the corresponding object in the target database (if a particular object is selected in DB Tree).

Working with Project - Information window - properties

If an object property in the source database differs from an object property in the target database , it is highlighted (red by default) in the Information window.

Use the iconDifferent button to hide identical objects.

See also:

Viewing Summary Info

Browsing Database Tree

Viewing Objects Definition

Working with Modification Scripts

Switching windows


Working with modification scripts

The Modification scripts window displays differences between the database objects as a row of modification scripts.

To change the direction of synchronization switch between Source to Target and Target to Source tabs of the Modification scripts window.

Script type

According to the kind of difference between objects in the Source and the Target databases, DB Comparer generates the following modification scripts:

iconDifferent ALTER script: if there are different objects with the same name in the Source and the Target databases, script of this type is generated to eliminate the differences;

iconOnlyTarget CREATE/ADD script: if an object exists in the Source database and it does not exist in the Target database, script of this type is generated to create the object in the Target database;

iconOnlyMaster DROP script: if an object exists in the Target database and it does not exist in the Source database, script of this type is generated to drop the object in the Target database.

Note: Synchronization is always performed in one direction (i.e. in one database) depending on the tab selected.

Note: To change the height of the script entries, use the List of modify scripts group of options available within the Preferences section of the Environment Options dialog.

Note: multiple selection of script entries is possible with the Ctrl and Shift keys used.

Working with Project - Modification Scripts

The context menu allows you to:

  • find the object (the one used in the selected script) in DB Tree;
  • btnExecuteScript execute the selected modification script(s);
  • execute all modification scripts of the project;
  • open the selected modification script(s) in SQL Script Editor;
  • open all modification scripts of the project in SQL Script Editor;
  • btnMoveScriptFirst btnMoveScriptDown btnMoveScriptUp btnMoveScriptLast manage the order of the modification scripts;
  • btnNewProject(Wizard) copy the text of the selected script(s) to Windows clipboard.

See also:

Viewing Summary Info

Browsing Database Tree

Viewing Objects Definition

Information window

Switching windows


Switching windows

The Windows Toolbar allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons.

Getting started - Switching windows

See also:

Viewing Summary Info

Browsing Database Tree

Viewing Objects Definition

Information window

Working with Modification Scripts


SQL Script editor

SQL Script Editor allows you to edit and execute SQL scripts for modifying compared databases.

How to open SQL Script Editor

  • Use [image] Open all scripts in SQL Script Editor in the DB Tree popup menu or on the toolbar.
  • Double-click the modification script in the list or select the corresponding item of the context menu.
  • Use Edit --> New SQL Editor from the main menu.

How to work with the script

The Database combo-box allows you to switch source/target databases where the script is to be executed.

Use btnSave Save to file button to save the current script.

Use btnOpenFile Load from file button to load the script from *.sql file.

Press the btnExecuteScript Execute toolbar button (or F9) to execute the script.

For your convenience the syntax highlight, code completion and a number of other features are implemented. If necessary, you can enable/disable or customize most of SQL Script Editor features using the Editor Options dialog.

You can set the delay for code completion within the Quick code section or manually activate the completion list using the Ctrl+Space shortcut.

SQL Script Editor

The context menu of SQL Script Editor area contains most of the standard text-processing functions (Cut, Copy, Paste, Select All) and specific functions for working with the script:

  • the Quick Code submenu allows you to select a character, to toggle comments, to change case of currently selected text and to manage indents;
  • saving and loading options;
  • numerical bookmarks to make navigation within the script easier. Use the Toggle Bookmarks context menu item to select a number to label the current code line. If you want to jump to a bookmark, select the Goto Bookmarks context menu item and pick one of the existing bookmarks within the submenu;
  • the Go to Line Number item allows you to jump to the specified line;
  • you can drop marker (F2), collect marker (ESC) or swap markers (last dropped marker will be moved to the current cursor position, and the cursor will be set to the initial marker position);
  • implementation of the Find Text and the Replace Text dialogs contributes to more efficient work with the SQL code.

The Log area displays errors and messages on script execution. You can toggle displaying of btnErrors errors and btnWarnings warnings with the corresponding buttons.

SQL Script Editor - Logs

See also:

Managing projects

Working with project

Reports management

DB Comparer options

Console application


Reports management

DB Comparer for Interbase/Firebird provides Report Designer for creating powerful reports.

By default, the Reports panel is located on the right side of the project window. It has some sample reports which cannot be edited. Using its toolbar buttons you can create, delete, view and edit custom reports.

  • Report Designer
  • Sample reports

See also:

Managing projects

Working with project

SQL Script editor

DB Comparer options

Console application


Report designer

Report Designer allows you to create and edit reports. This tool is opened when you create a report in the Reports window or select any of the existing reports for editing. For your convenience there are several sample reports available.

This module is provided by FastReport (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find the instructions on how to create a simple report in Report Designer below:

Adding bands

  • proceed to the Page1 tab of Report Designer;
  • select the [image] Insert Band component on the toolbar (on the left);
  • select the band to be added to the report;
  • click within the working area - the corresponding element appears in the area;
  • set element properties within the Properties Inspector.

Note: The Properties Inspector panel that allows you to edit report object properties can be shown/hidden by pressing the F11 key.

Report Designer - Adding bands

Adding report data

  • proceed to the Data tab within the panel on the right side of the window;
  • pick an element within the [image] Data tree and drag it to the working area;
  • add all necessary elements one by one using drag-and-drop operation for each of them.

Report Designer - Adding report data

Viewing the report

To preview the newly created report, select the Project | Preview main menu item or use the corresponding btnPrintPreview Preview toolbar button. You can also use the Ctrl+P shortcut for the same purpose. This mode allows you to view, edit and print the result report.

To print the report, use the btnPrint Print toolbar button or the corresponding context menu item.

Report Designer - Preview

Saving the report

When all report parameters are set, you can save the report to an external *.fr3 file on your local machine or in a machine in the LAN.

To save the report, select the Project | Save main menu item or use the corresponding btnSave Save Report toolbar button. You can also use the Ctrl+S shortcut for the same purpose.


Sample reports

There are several sample reports implemented in Report Designer: Detailed Info, Summary Info with Chart, Summary Info.

Sample reports can be accessed from the utility toolbar or from the Reports panel on the right side.

Reports toolbar menu

Detailed info

This sample report provides you with the complete list of compared database objects with their DDL, properties and their values.

Sample report - Detailed Info

Summary Info With Info Chart

Use this sample report to get graphical summary info about the compared databases.

Sample report - Summary Info with Chart

Summary Info

The result of this report is a table with the summary numeric information about compared databases.

Sample report - Summary Info


DB Comparer options

DB Comparer for Interbase/Firebird provides full customization of the program interface, windows behavior, various options of all tools and more. This chapter informs you how to use these options.

Environment Options

General options: environment style, confirmations, project options, compare options, fonts, colors and more.

Editor Options

Customizing of the SQL editing tool.

Keyboard Templates

Managing keyboard templates for quicker typing regularly used expressions in SQL editor.

Selecting program language

See also:

Managing projects

Working with project

SQL Script editor

Reports management

Console application


Environment options

Environment Options allow you to customize general options of the DB Comparer application.

To open the Environment Options window, select the Options | Environment Options... main menu item, or use the btnEnvironmentOptions Environment Options button on the main toolbar.

Preferences

Confirmations

Compare Options

Languages

Colors

The Default button located at the bottom of the Environment Options form can be used to set option values to defaults.

See also:

Editor Options

Keyboard Templates


Preferences

Schema

Select the main color theme for the application: Light, Blue or Dark.

General

CheckBox Save passwords into project file

If this option is checked, database connection passwords are saved in project files.

CheckBox Show object related scripts only

If this option is checked then the script of only selected in DB Tree object is displayed in the Modification scripts window.

CheckBox Hide identical objects

This option can be used to hide the identical objects in DB Tree. It makes navigation easier and may increase the navigation speed.

CheckBox Load connection info for new projects

This option can be used to insert the latest used login automatically when creating a new project.

CheckBox Load last password for new projects

This option can be used to insert the latest used password automatically when creating a new project.

Reports directory

Use the btnExplorer Explorer button to specify the directory where DB Comparer reports will be stored by default.

Environment Options - Preferences

List of modified scripts

CheckBox Row auto height

If this option is selected, script row height in the Modification Scripts area is adjusted to the content automatically.

Max row line count

Defines the maximum number of lines displayed in each script row in the Modification Scripts area.

Fonts

Application font

Defines the font used by DB Comparer for Interbase/Firebird. Select the font name from the drop-down list of available system fonts.

Application font size

Defines the font size used by DB Comparer for Interbase/Firebird. Type in or use the spin editor to specify the required value.

The box below displays the sample text with the selected font applied.

See also:

Confirmations

Compare Options

Languages

Colors


Confirmations

CheckBox Confirm exit from DB Comparer for Interbase/Firebird

If this option is set, you are prompted for confirmation each time when you exit the application.

CheckBox Recompare object after executing the script

The process of re-comparing objects starts automatically right after execution of the modification script.

CheckBox Autosave project before closing

Disables/enables a confirmation window that appears upon closing the project. If the option is checked, modifications made in the project are saved automatically.

CheckBox Show summary after comparing

Toggles displaying the Summary Info window that appears after the comparison process is finished.

Environment Options - Confirmations

CheckBox Show message after successfully executed script

Toggles the Script executed successfully message upon successful script execution.

CheckBox Close progress dialog after successful completion

If this option is selected, the project dialog is closed automatically when the operation is completed successfully.

CheckBox Confirm close project

If this option is set, you are prompted for confirmation each time when you exit the project.

See also:

Preferences

Compare Options

Languages

Colors


Compare options

Set specific parameters of comparison for each type of database objects.

Select an object type in the object tree, set a flag to include the object type into the comparison process and define Compare properties in the corresponding group within the Compare Options tab.

The Script generation group allows you to specify whether a specific type of script (CREATE, ALTER, DROP) should be generated for objects of the selected type.

The Select All, Unselect All and Invert Selection buttons are implemented to make options selection easier.

Environment Options - Compare Options

CheckBox Case sensitive comparing

Enable this option to make the comparing process case sensitive.

CheckBox Analyze renamed objects

This option enables/disables comparing databases object which might have been renamed.

CheckBox Show objects list

If this option is checked the list of all objects is displayed on the next step. If there is no need to check the list of retrieved objects you can uncheck this option to speed up comparison process.

CheckBox Add comments to generated script

Use this option to toggle comments in modification script.

You can also set filtering criteria for objects to be compared. Use the Filter options tab for that purpose. For details see Setting compare options.

See also:

Preferences

Confirmations

Languages

Colors


Languages

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Default directory

Use the btnExplorer button to specify the directory where the *.lng files are to be stored by default.

Choose program language

Use the drop-down list of available languages to select the interface language to be applied to the application.

Environment Options - Languages

In the Available Languages area the list of available languages and the names of the corresponding localization (*.lng) files is displayed. You can manage the list of languages using the buttons below.

Add Defaults

Adds languages from the default directory to the list of available languages.

Add

Opens the Add language dialog where you can specify your own localization file and set the language name.

Environment Options - Localization - Add language

Edit

Opens the Edit language dialog where you can change the language name or select another localization file for the specified language.

Environment Options - Localization - Edit language

Delete

Removes the selected language from the Available languages list (without confirmation).

See also:

Preferences

Confirmations

Compare Options

Colors


Colors

This section of the Environment Options dialog allows you to set colors of various elements used in your project:

General colors used in DB Tree (Identical objects, Non-identical objects, Unique source objects, Unique target objects, Non-identical properties) and Definition View colors (Non-identical lines, Deleted lines, Added lines, Additional lines).

Environment Options - Colors

General

Options of this group allow you to set colors for basic DB Tree elements. Select a system color from the list or use the btnEllipsis ellipsis button to open the Color dialog allowing you to select the required color from the palette.

Definition View

Options of this group allow you to set colors for Definition View elements. Select a system color from the list or use the btnEllipsis ellipsis button to open the Color dialog allowing you to select the required color from the palette.

See also:

Preferences

Confirmations

Compare Options

Longuages


Editor options

Editor Options dialog allows you to set the parameters of SQL statements viewing and editing in DB Comparer for Interbase/Firebird.

To open the Editor Options window, select the Options | Editor Options... main menu item, or use the btnEditorOptions Editor Options button on the main toolbar.

General

Display

Color

Quick Code

See also:

Environment Options

Keyboard Templates


General

CheckBox Auto indent

If this option is checked, each new indention is the same as in the previous line in SQL Script Editor.

Indents and outdents are used in the process of text editing to make the source code easier to read.

CheckBox Insert mode

If this option is checked, the insert symbols mode is on by default.

CheckBox Use syntax highlight

Enables syntax highlight in the editor area.

CheckBox Find text at cursor

If this option is checked, the Text to find field in the Find Text and the Replace Text dialog windows is automatically filled with the text the cursor is set over.

CheckBox Always show hyperlinks

If this option is checked, hyperlinks are displayed in the editor window. To open a link, click it with the Ctrl key pressed.

CheckBox Use smart tabs

If this option is checked, the tab length is variable. After pressing the Tab key the cursor aligns with the nearest first (or last) position of the neighboring line.

Editor Options - General

Tab stops

Defines the tab length used when editing SQL text.

Undo limit

Defines the maximum number of changes that can be undone.

See also:

Display

Color

Quick Code


Display

Gutter

CheckBox Show line numbers

Make line number visible in the left margin.

CheckBox Use code folding

Enable folding of code blocks.

Editor Options - Display

Editor font, Size

Use these options to set the editor font and its size.

The box below displays the sample text with the selected font applied.

See also:

General

Color

Quick Code


Color

In the Color section of the Editor Options dialog you can set the background colors and text attributes (Bold, Italic, Underlined) used by the editor to mark out different text fragments: Default, Comments, Strings, SQL Keywords, Numbers, Wrong Symbols, Identifiers, Symbols, Tables, Selected Text, etc.

Editor Options - Color

Use the Foreground color control to open the Color dialog allowing you to select the required color from the palette. Click the Background color control to select the required color using the Color dialog or leave the default value (white) if no background color is necessary for the selected text fragment.

See also:

General

Display

Quick Code


Quick code

CheckBox Code completion

If this option is checked, then on typing the first characters in SQL Script Editor you are offered several options for the word completion as a popup list (an analogue of the Code Insight list in Delphi IDE). The code completion list popups after a delay defined by the Delay option.

CheckBox Code parameters

If this option is checked, the Delphi-like hint for key words is enabled.

Delay (sec)

Using this option you can change the time for code completion popup.

CheckBox Sort column names

Enable sorting of objects in the popup menu by name.

Editor Options - Quick Code

Keyboard templates

CheckBox Use keyboard templates

Allows you to use keyboard templates for faster typing of regularly used expressions (see Keyboard templates).

See also:

General

Display

Color


Keyboard templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly used expressions and to edit the existing ones.

To open this window, select the Options | Keyboard Templates... main menu item, or use the btnKeyboardTemplates Keyboard Templates button on the main toolbar.

To add a new keyboard template, click the Add Template... button, set the template name and define the template expression. In the upper right area of the window you can change the case of the template expression.

You can deactivate an existing template by selecting it from the list on the left and removing the Active flag of the template.

If necessary, you can also edit the template name using the Edit Template... button, delete the template using the Delete Template button or edit the template expression within the Expansion area of the window. For faster editing you can use the Symbols menu and the Author, Time, Date buttons.

See also:

Environment Options

Editor Options


Selecting program language

The Select Language dialog allows you to select one of the available interface localizations to be applied to DB Comparer for Interbase/Firebird.

To open this dialog, use the Options | Select Program Language main menu item.

The window contains the list of available languages according to the directory specified within the Localization section of the Environment Options dialog.

Getting Started - Selecting program language

Select a language in the list and click OK to apply changes.

See also:

Environment Options

Editor Options

Keyboard Templates


Console application

Additionally to the GUI version which is implemented in the form of a windows application, the installation package of DB Comparer for Interbase/Firebird includes the console version which is intended for being run from Windows command line with a project file name used as the execution parameter.

DB Comparer command line utility is intended for quick metadata comparison/synchronization of Interbase/Firebird databases, which can be easily scheduled and run automatically.

Using the console application

How to schedule console run

See also:

Managing projects

Working with project

SQL Script Editor

Reports management

DB Comparer options


Using DB Comparer console

DB Comparer for Interbase/Firebird
  • Index
  • « Prev
  • Next »

All the comparison options can be saved in Project (*.icp) files. A project file can be also used in the Console version of DB Comparer for Interbase/Firebird.

For your convenience the console version of DB Comparer for Interbase/Firebird is included in the distribution package of the utility. The command line utility is intended for quick database structure comparison and synchronization and further scheduling

Usage

<path to DB Comparer for Interbase/Firebird console application>\IbComparerC.exe Projectfile [scriptfile] [logfile] [/E] [/B] [/L]

Projectfile

Stands for the *.icp file to be used as the console version execution parameter. See Opening / Saving Project for instructions on saving project files.

Scriptfile

Specify the output file name to save the modification script generated by the utility. If not specified, the script will be saved as Projectfile.sql in the home directory of DB Comparer for Interbase/Firebird.

Logfile

Specify the custom log file name.

/E

Execute generated script after comparison.

/L

Use the same localization in the console version as in the Wizard Application

/B

Use this parameter to run the application in the background mode. No console window will appear.

/A

Analyze renamed objects.

Examples:

"C:\Program Files\EMS\DB Comparer for Interbase & Firebird\IbComparerC.exe"

DBComparer_Project.icp

Upon running the command line utility, the modification script will be generated into DBComparer_Project.sql

"C:\Program Files\EMS\DB Comparer for Interbase & Firebird\IbComparerC.exe"

DBComparer_IB.icp Result.sql

Upon running the command line utility, the modification script will be generated into Result.sql

"C:\Program Files\EMS\DB Comparer for Interbase & Firebird\IbComparerC.exe"

DBComparer_IB.icp Result.sql /E

Upon running the command line utility, the modification script will be generated into Result.sql and executed.

Note: The following exit codes can be returned by DB Comparer for Interbase/Firebird to the operating system after performing the latest task:

0 - successful completion;

1 - error(s) occurred during task performing;

2 - fatal error occurred. The task was not performed.


How to schedule console run

Here are the steps to schedule program run with standard Windows scheduler:

1. Set all options in the Project Options and click Save Project button.

2. Open the command line in Windows (type CMD in the Run... dialog).

3. Use the following command to run the console version with the saved project:

<path to DB Comparer for Interbase/Firebird console application>\IbComparerC.exe Projectfile [scriptfile] [logfile] [/E] [/B] [/L]

For example:

"C:\Program Files\EMS\DB Comparer for Interbase & Firebird\IbComparerC.exe"

DBComparer_IB.icp Result.sql

4. Launch the standard Task Scheduler tool in Windows OS.

5. Set the command for executing the project as described above.

6. Set the schedule for the command execution.

7. Save the scheduled task.


Find Text dialog

The Find Text dialog is provided for quick and flexible searching for specified text within the SQL Script Editor working area.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Options

CheckBox Case sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions

Recognizes regular expressions in the search string.

For example, you can type "empl*" to search for metadata containing the "empl" substring; enter "^emp" to search for words starting with "emp" or "^emp|emp$" to search for the string "emp" at the beginning or at the end of the string.

Note: The syntax of regular expressions that can be used in the Text to find field is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

SQL Script Editor - Find Text dialog

Direction

RadioButton Forward

Searches from the current position to the end of the SQL Script Editor area.

RadioButton Backward

Searches from the current position to the beginning of the SQL Script Editor area.

Scope

RadioButton Global

Searches within the entire SQL Script Editor working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker

The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.


Replace Text dialog

The Replace Text dialog is provided for searching and replacing text within the SQL Script Editor working area.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Text to replace

This box allows you to enter a string to replace the search string. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered strings. To replace the search string with an empty string, leave this input box blank.

Options

CheckBox Case sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions

Recognizes regular expressions in the search string.

CheckBox Replace with template

This option requires the Regular expressions option selection.

Enable this option to use regular expressions in the Text to replace field. Expression used in this field will be applied to each string that matches the Text to find expression.

Note: The syntax of regular expressions that can be used in the Text to find and the Text to replace fields is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html.

CheckBox Prompt on replace

Check this option if you wish to be prompted before replacing upon each occurrence of the search string. When this option is off, the search string is replaced automatically.

SQL Script Editor - Replace Text dialog

Direction

RadioButton Forward

Searches and replaces from the current position to the end of the SQL Script Editor area.

RadioButton Backward

Searches and replaces from the current position to the beginning of the SQL Script Editor area.

Scope

RadioButton Global

Searches and replaces within the entire SQL Script Editor working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches and replaces only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search and replace process starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search and replace process covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker

The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.

Click the Replace All button to replace every occurrence of the search string. If you have checked the Prompt on replace option, the confirmation dialog box appears upon each occurrence of the search string.


SSH tunneling options

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of Interbase/Firebird server)
  • SSH password is the Linux/Windows user password

Please note that Interbase/Firebird host name should be set relatively to the SSH server in this case. For example, if both Interbase/Firebird and SSH servers are located on the same computer, you should specify localhost as host name instead of the server external host name or IP address.

CheckBox Use Private Key for authentication

If the SSH encryption is enabled on the SSH server, a user can generate a pair of cryptographic keys (the Private key and the Public key). The Public key is placed on the SSH server, and the Private key is the part you keep secret inside a secure box that can only be opened with the correct passphrase (or an empty string as the passphrase). When you wish to access the remote system, you open the secure box with your passphrase (if any), and use the private key to authenticate yourself with the Public key on the remote Linux computer.

SSH Key file

Specify the location (the secure box) of the Private key file on your local machine.

Supported Private Key file formats are:

OpenSSH

Putty

SSH.com

Note that you need to trust your local machine not to scrape your passphrase or a copy of your Private key file while it is out of its secure box.

SSH Private Key - Passphrase


Customize toolbars and menus

The Customize dialog allows you to create and personalize DB Comparer menus and toolbars.

To call this dialog, click the down-arrow button on the right side of any toolbar, then click Add or Remove Buttons and select Customize... from the drop-down menu. Alternatively, you can right-click any toolbar and select the Customize... popup menu item.

Toolbars

This list displays all currently existing toolbars of DB Comparer (both default and user-defined toolbars). Check/uncheck the box at a toolbar name to show/hide the toolbar.

New...

Use this button to add a new user-defined toolbar to the Toolbars list. Set a name for the newly created toolbar and dock it by dragging it to any permitted location within the application window.

Rename...

Use this button to rename the selected user-defined toolbar.

Delete

Use this button to delete the selected user-defined toolbar.

Reset...

Use this button to reset the selected toolbar.

Appendix - Customize - Toolbars

Commands

This tab allows you to browse the list of all commands available within the menus and toolbars of the application window. Selecting categories in the Categories list displays commands of the selected category (e.g. 'File' or 'Options') in the Commands list.

If necessary, you can pick a command and drag it to any toolbar to create a button for this command.

Appendix - Customize - Commands

Options

Personalized Menus and Toolbars

CheckBox2 Menus show recently used commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

CheckBox2 Show full menus after a short delay

This option is available only if the Menus show recently used commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Appendix - Customize - Options

Other

CheckBox2 Large icons

This option displays larger icons on the parent window toolbars.

CheckBox2 Show ToolTips on toolbars

If this option is selected, ToolTips (hints) popup when the mouse cursor is positioned over a toolbar button.

CheckBox2 Show shortcut keys in ToolTips

If this option is selected, the corresponding shortcuts are displayed in ToolTips (hints) for toolbar buttons.

Menu animations

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding menus)

Fade (menus fade in when appearing)


Checking for updates

Use Help main menu to check if the newer version of the tool has been released.

whats new - check for updates

CheckBox Check for the new version on startup

Enable autocheck for updates on program startup.

After a new version is found click Update to download and install the latest version of the application or Cancel to close the dialog.

Appendix - Checking for updates


Advanced connection settings

You need the installed Oracle client on the client computer where DB Comparer for Interbase/Firebird will be used. The version of the Oracle client should be compatible with the version of Oracle server you need to connect.

You need to add the connection settings of Oracle server databases to your TNS names file (tnsnames.ora file). This is a configuration file which contains databases description.

If you use Database Client the tnsnames.ora file is located in the %HOME_name\NETWORK\ADMIN directory.

If you use Instant Client for oracle, you should create tnsnames.ora file manually. since it does not exist. File should be created in the same directory where Oracle instant client is installed (e.g. C:\OracleInstantClient\). This file can be created using any text editor (create a simple text file and then change its name and extension).

Only for Instant Client: After the tnsnames.ora file is created and database description is added, create TNS_ADMIN environment variable. For this please do the following:

  1. Right-click 'My computer'.
  2. Select 'Properties' menu item.
  3. Proceed to the 'Advanced' tab and press 'Environment Variables' button.
  4. Press 'New...' button in the 'System variables' section.
  5. Set 'Variable name:' TNS_ADMIN, 'Variable value:' C:\OracleInstantClien\tnsnames.ora
  6. Press 'OK' button to save the variable.

Find PATH variable in the same dialog, double-click it and add path to the Oracle Instant client libraries (they are located in the directory where client is installed, i.e. C:\OracleInstantClient\). Remember that the paths entries should be separated with semicolons ( ; ).

DB Comparer for Interbase/Firebird connects to the server (with the help of Oracle client) via TCP/IP protocol. Here is an example of TCP/IP connection specified in TNS names file:

DB_Alias =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = Host_name)(PORT = 1521))

)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = Database_Name)

)

)

PROTOCOL is the keyword that identifies the specific protocol adapter used. For this protocol, the value is TCP. The value can be entered in either uppercase or lowercase.

HOST is the host name or IP address.

PORT is the TCP/IP port number.

SERVICE_NAME the name of service on server; the database instance name may differ from the actual database name, but generally the names match.

DB_Alias any name of the connection

When you Set database options select Oracle client HOME in Database home dropdown list and select database from the Database dropdown list. The databases names are taken from the tnsnames.ora file.


Bars and menus

Use the Bars and menus section of the Visual options dialog to customize DB Comparer bars style, menus animation and a number of general options concerning toolbars and menus usage.

Visual Options - Bars and menus

Bar style

Use the drop-down list to select the painting style that will be applied to the bars:

Standard

Enhanced

Flat

XP native

Office 11

Note: If the XP native style is selected, bars use the currently applied XP theme to paint themselves. However, if the currently installed operating system is not Windows XP or the Windows Classic theme is currently applied, bars will be painted using the Enhanced style.

Menu animation

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding drop-down and popup menus)

Fade (menus fade in when appearing)

CheckBox Sunken border

If this option is enabled, the border of each dockable bar is drawn using sunken borders. Otherwise, no border is drawn around the dockable bar.

CheckBox Use F10 for menu

If this option is disabled, the application does not respond to the F10 key press events and the main menu will not will be called.

CheckBox Show full menus after delay

This option is available only if the Menus show recently used commands first option (available in the Customize dialog) is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

CheckBox Flat close buttons

This option determines the border style of the Close buttons.

If this option is enabled, the Close button is drawn flat. Otherwise, it has a 3D look.

CheckBox Gray-scale disabled images

This option specifies whether default images must be painted faded.

By default, images within disabled links are painted grayscale when the XP native or Office11 bar style is used. For other bar styles, such images are painted grayed out.

If this option is enabled, images of disabled links will be painted grayscale independently of the selected bar style.

See also:

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters


Trees and lists

Use the Trees and lists section of the Visual options dialog to view and edit the corresponding options.

Visual Options - Trees and Lists

Look & feel

This setting determines the manner in which tree and list elements are painted. Use the drop-down list to select the painting style that will be applied to the trees and lists:

Standard

Flat

UltraFlat

CheckBox Hide selection

This option specifies how selected tree nodes and list items are displayed when focus leaves the tree or list control.

If this option is enabled, selected nodes look like other nodes. Otherwise, selected nodes/items are highlighted within the tree/list.

CheckBox Native style

This option determines whether the native Windows style will be applied to the trees and lists.

The option has the highest priority for trees and lists. If this option is selected, the tree nodes and list items are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Edit controls

Check boxes

Buttons

Page controls

Group boxes

Splitters


Edit controls

Use the Edit controls section of the Visual options dialog to customize the appearance of various DB Comparer for Interbase/Firebird edit controls: Border style, Button style, Button transparency, etc.

Visual Options - Edit controls

Border style / Button style

Use these drop-down lists to specify the style around an editor (the edit control borders) and select the painting style that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.) respectively:

None

Single

Thick

Flat

3D

UltraFlat

Button transparency

Represents the button transparency mode within an editor. Use the drop-down list to specify the transparency that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.):

None (a button is always displayed in a non-transparent fashion)

Inactive (a button is drawn when the editor has focus or when the mouse cursor is positioned over the button; otherwise, the button is transparent)

Always (a button is always transparent)

Hide inactive (a button is drawn only when the editor has focus; otherwise, the button is invisible)

Hide unselected (a button is drawn when the editor has focus or when the mouse cursor is positioned over the editor region; otherwise, the button is invisible).

Edges

This group defines which edges are displayed within an editor. Check/uncheck the boxes to hide/show individual edges of the edit controls:

CheckBox Left (if unchecked, the left border edge is invisible)

CheckBox Right (if unchecked, the right border edge is invisible)

CheckBox Top (if unchecked, the top border edge is invisible)

CheckBox Bottom (if unchecked, the bottom border edge is invisible)

CheckBox Hot track

This option specifies whether editor items are highlighted when the mouse cursor is positioned over an edit control. Select this option to highlight an edit control in response to mouse movements.

CheckBox Shadow

If this option is selected, a shadow is displayed for the edit controls.

CheckBox Native style

This option determines whether the native Windows style will be applied to the edit controls.

The option has the highest priority for edit controls. If this option is selected, the edit controls are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Trees and lists

Check boxes

Buttons

Page controls

Group boxes

Splitters


Check boxes

Use the Check boxes section of the Visual options dialog to customize the border style and the appearance of check boxes and radio buttons.

Visual Options - Check boxes

Border style

This setting determines the manner in which check box and radio group borders are painted. Use the drop-down list to select the painting style that will be applied to the check boxes and radio groups:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Hot track

This option specifies whether the check box is highlighted when the mouse cursor is positioned over it. Select this option to highlight an edit control in response to mouse movements.

CheckBox Shadow

If this option is selected, a shadow is displayed for the check boxes and radio groups.

CheckBox Native style

This option determines whether the native Windows style will be applied to the check boxes and radio buttons.

The option has the highest priority for check boxes and radio buttons. If this option is selected, the check boxes and radio buttons are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Trees and lists

Edit controls

Buttons

Page controls

Group boxes

Splitters


Buttons

Use the Buttons section of the Visual options dialog to customize DB Comparer buttons.

Visual Options - Buttons

Button kind

This setting determines the manner in which a button is painted. Use the drop-down list to select the painting style that will be applied to buttons:

Standard

Flat

UltraFlat

CheckBox Native style

This option determines whether the native Windows style will be applied to the buttons.

The option has a higher priority than the Button kind setting. If this option is selected, the buttons are painted according to the native Windows style, otherwise the Button kind selection is applied.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Page controls

Group boxes

Splitters


Page Controls

Use the Page controls section of the Visual options dialog to customize the style of all DB Comparer page controls.

Visual Options - Page controls

Tabs are visual elements of tab controls. Their purpose is to identify pages and switch between them. Once a tab is clicked, the corresponding page is selected.

Pages are container controls that represent the contents of tab controls. Tab controls contain a single page, whose context is to be updated each time the selected tab changes. Page controls contain the number of pages equal to the number of tabs.

Tab style

Use the drop-down list to select the painting style that will be applied to the tab controls:

Tabs (tabs are painted as notebook tabs)

Buttons (the selected tab is painted as a pressed button, other tabs are painted as released buttons)

Flat (tabs are painted as notebook tabs, but appear lowered slightly)

CheckBox Hot track

This option specifies whether tab captions are highlighted when the mouse pointer hovers over tabs. Select this option to enable tab highlighting.

CheckBox Multiline pages

This option specifies whether tabs are arranged across several rows.

If this option is enabled, tabs are automatically arranged into the minimum number of rows required to fit all of them. If this option is disabled, tabs are displayed within a single row.

CheckBox Native style

This option determines whether the native Windows style will be applied to the tab controls.

The option has the highest priority for the tab controls. If this option is selected, the tabs are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Group boxes

Splitters


Group Boxes

Use the Group boxes section of the Visual options dialog to customize all DB Comparer group boxes to your liking.

Visual Options - Group boxes

Border style

This setting determines the manner in which group box borders are painted. Use the drop-down list to select the painting style that will be applied to the group boxes:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the group boxes.

CheckBox Native style

This option determines whether the native Windows style will be applied to the group boxes.

The option has the highest priority for the group boxes. If this option is selected, the group boxes are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Splitters


Splitters

Use the Splitters section of the Visual options dialog to customize all DB Comparer splitters to your liking.

Visual Options - Splitters

Hot zone style

This setting determines the manner in which splitter hot zones are painted. Use the drop-down list to select the hot zone style that will be applied to the splitters:

Windows XP task bar

Media Player 8

Media Player 9

Simple

None (hot zone is disabled)

CheckBox Hot zone drags a splitter

This option is applied when the Hot zone style value is different from None, and specifies whether the splitter can be dragged by its hot zone.

If this option is enabled, you can drag the splitter by its hot zone (i.e. use any part of the splitter's area for dragging). Otherwise, attempts to drag the splitter by the hot zone will have no effect.

See also:

Bars and menus

Trees and lists

Edit controls

Check boxes

Buttons

Page controls

Group boxes